
%global meadversion 1.3.168
%global namedversion 1.3.168.redhat-4
%global meadalpha .redhat_4
%global meadrel .1
%global serial 7

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.3.168.redhat-4

Name:           h2database
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        H2 Database Engine
License:        The H2 License, Version 1.0
Group:          Development/Java

%if %with mead
Source100: h2-1.3.168.redhat-4-scm-sources.zip
Source102: h2-1.3.168.redhat-4-sources.jar
Source103: h2-1.3.168.redhat-4.pom
Source104: h2-1.3.168.redhat-4.jar
Source105: h2-1.3.168.redhat-4-javadoc.jar
%endif

URL:            http://www.h2database.com
Provides:       h2 = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent >= 0:11
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/h2-%{namedversion}-%{release}-root

%description
H2 Database Engine.

%if %with javadoc
%package -n h2database-javadoc
Summary:        Javadoc for h2
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n h2database-javadoc
%{summary}.
%endif

%prep
%setup -q -n h2 -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/h2-%{namedversion}.jar %{buildroot}%{_javadir}/h2-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/h2-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/h2-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/h2-%{namedversion}-sources.jar %{buildroot}%{_javadir}/h2-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/h2-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-h2.pom

# depmaps
%add_to_maven_depmap com.h2database h2 %{namedversion} JPP h2
[ %{name} = "h2" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/h2

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/h2-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/h2-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/h2-%{namedversion} -x META-INF/\*
%{__ln_s} h2-%{namedversion} %{buildroot}%{_javadocdir}/h2
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n h2database
%update_maven_depmap

%postun -n h2database
%update_maven_depmap

%files -n h2database
%defattr(0644,root,root,0755)
%{_javadir}/h2-%{namedversion}.jar
%{_javadir}/h2.jar
%exclude %{_javadir}/h2-%{namedversion}-javadoc.jar
%exclude %{_javadir}/h2-javadoc.jar
%{_javadir}/h2-%{namedversion}-sources.jar
%{_javadir}/h2-sources.jar
%{_mavenpomdir}/JPP-h2.pom
%{_mavendepmapfragdir}/h2

%if %with javadoc
%files -n h2database-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/h2-%{namedversion}
%{_javadocdir}/h2
%{_javadir}/h2-%{namedversion}-javadoc.jar
%{_javadir}/h2-javadoc.jar
%endif

%changelog
* Fri Mar 21 2014 David Walluck <dwalluck@redhat.com> - 1.3.168-7.redhat_4.1
- build wrappers

* Wed Dec 11 2013 David Walluck <dwalluck@redhat.com> - 1.3.168-6.redhat_3.1
- Remove extra %%files list which breaks RHEL-5 build

* Wed Dec 11 2013 David Walluck <dwalluck@redhat.com> - 1.3.168-6.redhat_3.1
- Remove extra %%files list which breaks RHEL-5 build

* Wed Dec 11 2013 David Walluck <dwalluck@redhat.com> - 1.3.168-6.redhat_3.1
- Remove extra %%files list which breaks RHEL-5 build

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> - 1.3.168-5.redhat_3.1
- fix file list

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> - 1.3.168-5.redhat_3.1
- fix file list

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> - 1.3.168-4.redhat_3.1
- fix javadoc build

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> - 1.3.168-4.redhat_3.1
- fix javadoc build

* Tue Oct 08 2013 David Walluck <dwalluck@redhat.com> 0:1.3.168-4
- convert to MEAD

* Mon Mar 26 2013 David Walluck <dwalluck@redhat.com> 0:1.3.168-3
- fix version
- update pom for EAP 6.1

* Mon Aug 27 2012 David Walluck <dwalluck@redhat.com> 0:1.3.168-2
- use lucene 3
- set version to _redhat_1 via patch

* Thu Aug 16 2012 David Walluck <dwalluck@redhat.com> 0:1.3.168-1
- 1.3.168
- update pom patch
- add workaround for deploy bug
- use single deploy command

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.161-0.5_redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.161-0.5_redhat_1.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.161-0.5_redhat_1.1
- Rebuild using cache signing

* Mon Jun 04 2012 David Walluck <dwalluck@redhat.com> 0:1.3.161-0.5
- install javadoc jar (in javadoc pkg) and sources jar (in main pkg)
- perform full build

* Mon Jun 04 2012 David Walluck <dwalluck@redhat.com> 0:1.3.161-0.4
- add workaround to fix invalid jar manifests (resolves JBPAPP-9189)

* Tue Apr 17 2012 David Walluck <dwalluck@redhat.com> 0:1.3.161-0.3
- update pom
- remove .dll files
- remove .exe files

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.161-0.2_redhat_1.1
- Rebuild using cache signing

* Fri Dec 02 2011 David Walluck <dwalluck@redhat.com> 0:1.3.161-0.2
- remove optional Requires (that are not in POM)
- add release tag to from POM to RPM Release tag

* Fri Dec 02 2011 David Walluck <dwalluck@redhat.com> 0:1.3.161-0.1
- 1.3.161

* Tue Nov 29 2011 David Walluck <dwalluck@redhat.com> 0:1.2.147-0.1
- 1.2.147
- use h2 name
- remove buildmagic repolib from this branch

* Mon Sep 12 2011 David Walluck <dwalluck@redhat.com> 0:1.2.145-2.2
- add pom patch

* Mon Sep 12 2011 David Walluck <dwalluck@redhat.com> 0:1.2.145-2.1
- use org.osgi.core, not felix
- fix servlet-api symlink
- fix slf4j symlink
- fix ant call
- fix 'mvn deploy:deploy-file call and args
- exclude javadoc dir from repolib files
- switch back to standard repolib location
- fail if ant would have tried to go online to get jars

* Fri Nov 12 2010 David Walluck <dwalluck@redhat.com> 0:1.2.145-2
- add maven repo
- fix repolib

* Fri Nov 12 2010 David Walluck <dwalluck@redhat.com> 0:1.2.145-1
- 1.2.145
- install bundled pom
- use servlet_2_5_api

* Fri Sep 24 2010 Ralph Apel <r.apel@r-apel.de> 1.1.119-1
- First release
